Subject: bug#20020: 25.0.50; `info-display-manual' should reuse existing window where buffer is displayed

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Oct 2019 20:22:27 +0200

Eli Zaretskii <[email-masked]> writes:

>> > If this is the change, then I think it should be an opt-in change.  We
>> > don't behave like that with any other buffers, why should Info buffers
>> > be an exception by default?
>> 
>> That's true.  Off the top of my head, I can't recall any other commands
>> that work this way, so it's odd for `info-display-manual' to do so.
>> 
>> Should I just revert the change?
>
> It'd be fine with me, but probably not with Drew.  having an opt-in
> defcustom is a good compromise, I think.

I don't know much about how dedicated windows work, but couldn't Drew
set that up to have Emacs pop up that window instead of having special
code for this in `info-display-manual'?  I had forgotten about that when
I wrote the patch.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no